from django.contrib import admin
from django.urls import path
from django.urls import path, include
import medic.views as medic
import baseapp.views as baseview
import help.views as help
urlpatterns = [




    #employee
    path('employee/details/',baseview.view_employee_details,name='employee_details'),
    path('employee/details/<int:eid>',baseview.view_employee_details,name='employee_details'),
            
    path('treatment/form/',baseview.formview_treatment,name='treatment_form'),
    path('treatment/form/<int:id>',baseview.formview_treatment,name='treatment_form'),
    path('treatment/',baseview.view_treatment,name='treatment'),
    path('treatment/<str:viewtype>',baseview.view_treatment,name='treatment'),

    path('disease/form/',baseview.formview_disease,name='disease_form'),
    path('disease/form/<int:id>',baseview.formview_disease,name='disease_form'),
    path('disease/',baseview.view_disease,name='disease'),
    path('disease/<str:viewtype>',baseview.view_disease,name='disease'),

    path('employee/form/',baseview.formview_employee,name='employee_form'),
    path('employee/form/<int:id>',baseview.formview_employee,name='employee_form'),
    path('employee/',baseview.view_employee,name='employee'),
    path('employee/<str:viewtype>',baseview.view_employee,name='employee'),
    path('employee/disable/<int:id>',baseview.employee_disable,name='employee_disable'),
    path('employee/enable/<int:id>',baseview.employee_enable,name='employee_enable'),

    path('district/state/form/',baseview.formview_District_State,name='district_state_form'),    
    path('district/state/form/<int:id>',baseview.formview_District_State,name='district_state_form'),
    path('district/state/',baseview.view_District_State,name='district_state'),
    path('district/state/<str:viewtype>',baseview.view_District_State,name='district_state'),

    path('instruction/form/',help.formview_instruction,name='instruction_form'),    
    path('instruction/form/<int:id>',help.formview_instruction,name='instruction_form'),
    path('instruction/',help.view_instruction,name='instruction'),
    path('instruction/<str:viewtype>',help.view_instruction,name='instruction'),

    path('zone/form/',baseview.formview_zone,name='zone_form'),
    path('zone/form/<int:id>',baseview.formview_zone,name='zone_form'),
    path('zone/',baseview.view_zone,name='zone'),
    path('zone/<str:viewtype>',baseview.view_zone,name='zone'),
    
    path('static/page/form/',help.formview_static_page,name='static_page_form'),    
    path('static/page/form/<int:id>',help.formview_static_page,name='static_page_form'),
    path('static/page/',help.view_static_page,name='static_page'),
    path('static/page/<str:viewtype>',help.view_static_page,name='static_page'),

   path('zone/system/form/',baseview.formview_Zone_System,name='zone_system_form'),
    path('zone/system/form/<int:id>',baseview.formview_Zone_System,name='zone_system_form'),
    path('zone/system/',baseview.view_Zone_System,name='zone_system'),
    path('zone/system/<str:viewtype>',baseview.view_Zone_System,name='zone_system'),


   path('zone/type/form/',baseview.formview_Zone_Type,name='zone_type_form'),
    path('zone/type/form/<int:id>',baseview.formview_Zone_Type,name='zone_type_form'),
    path('zone/type/',baseview.view_Zone_Type,name='zone_type'),
    path('zone/type/<str:viewtype>',baseview.view_Zone_Type,name='zone_type'),

    
    path('ID/type/form/',baseview.formview_ID_type,name='id_type_form'),
    path('ID/type/form/<int:id>',baseview.formview_ID_type,name='id_type_form'),
    path('ID/type/',baseview.view_ID_type,name='id_type'),
    path('ID/type/<str:viewtype>',baseview.view_ID_type,name='id_type'),

   path('gender/form/',baseview.formview_gender,name='gender_form'),
    path('gender/form/<int:id>',baseview.formview_gender,name='gender_form'),
    path('gender/',baseview.view_gender,name='gender'),
    path('gender/<str:viewtype>',baseview.view_gender,name='gender'),
    path('report/IMH/',baseview.view_dynamic_report,name='report_IMH'), # testing report generation
    path('report/IMH/<str:viewtype>',baseview.view_dynamic_report,name='report_IMH'), # testing report generation
    path('report/stock/<str:viewtype>',baseview.view_stock_overview,name='report_stock'), # testing report generation
    path('report/Perfomance/',baseview.test_performance_dboard,name='report_perfomance'), # testing report generation
    path('report/Perfomance/<str:viewtype>',baseview.test_performance_dboard,name='report_perfomance'), # testing report generation
    
   path('usergroup/form/',baseview.formview_User_Group,name='form_usergroup'),
    path('usergroup/form/<int:id>',baseview.formview_User_Group,name='form_usergroup'),
    path('usergroup/',baseview.view_User_Group,name='usergroup'),
    path('usergroup/<str:viewtype>',baseview.view_User_Group,name='usergroup'),
    
    # path('report/IMH/',baseview.view_dynamic_report,name='report_IMH'), # testing report generation
    # path('report/IMH/<str:viewtype>',baseview.view_dynamic_report,name='report_IMH'), # testing report generation

]

